curl --request POST \
--url https://api.fabric.inc/v3/prices/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"data": [
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
]
}
'{
"data": [
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"isDeleted": false,
"channelId": "12",
"currency": "USD",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
},
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}
]
}Create batch prices
Create one or more prices for items based on itemId and itemSku.
curl --request POST \
--url https://api.fabric.inc/v3/prices/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"data": [
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
}
}
]
}
'{
"data": [
{
"priceListId": 100000,
"itemId": 10000001,
"itemSku": "SKU0123456",
"isDeleted": false,
"channelId": "12",
"currency": "USD",
"offers": {
"startAt": "2019-08-24T14:15:22.000Z",
"endAt": "2019-08-25T14:15:22.000Z",
"price": {
"base": 299.99,
"sale": 199.99,
"cost": 148.99
}
},
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel through which the API request is being made; primarily for multichannel use cases. It is a required field.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Body
The sample request to create batch prices.
Show child attributes
Show child attributes
Response
OK
The sample response of price creation.
Show child attributes
Show child attributes
Was this page helpful?
